Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class DefaultTypeMapping

    java.lang.Object
      |
      +--weblogic.xml.schema.binding.internal.TypeMappingBase
            |
            +--weblogic.webservice.encoding.DefaultTypeMapping

public class DefaultTypeMapping
extends weblogic.xml.schema.binding.internal.TypeMappingBase

Default data-type mapping used to load and register the Weblogic-specific serialization class that converts between the XML and Java representation of the data type.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DefaultTypeMapping(java.lang.String filename)` Constructs a Weblogic-specific data type mapping.

Methods inherited from class weblogic.xml.schema.binding.internal.TypeMappingBase
`add, add, add, createXMLNameFromXMLType, dump, dump, dump2, get, get, getClassFromXMLName, getClassFromXMLType, getDeserializer, getEntries, getHolderClass, getParent, getSerializer, getSupportedEncodings, getSupportedNamespaces, getXMLNameFromClass, isRegistered, lookupEntry, readXML, readXML, register, remove, removeDeserializer, removeSerializer, replace, setParent, setSupportedEncodings, setSupportedNamespaces, toString, writeXML, writeXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTypeMapping

    public DefaultTypeMapping(java.lang.String filename)

  Constructs a Weblogic-specific data type mapping. This method also loads and register the serialization class defined in the specified file.

  Parameters:
    `filename` - name of the XML file from which to load the serialization class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference